Subject: bug#61642: intermittent write_wait_fd error when updating

From: Christopher Baines <[email-masked]>
Date: Mon, 20 Feb 2023 11:04:50 +0000

Simon Tournier <[email-masked]> writes:

> Hi,
>
> On Mon, 20 Feb 2023 at 11:46, Christopher Baines <[email-masked]> wrote:
>
>> It's not, since it relates to code in the (guix substitutes) module.
>
> Do you mean that if "https://substitutes.nonguix.org" is incorrectly
> configured, then the code in (guix substitutes) should handle the
> error instead of crash with a backtrace?

No, but to answer your question, yes.

I don't think this is a server side code/configuration issue. Also see
this older bug for the same issue https://issues.guix.gnu.org/56005